> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable free feature

> Disable the free feature for a specific client.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml delete /cdn/admin/free_features/{free_feature_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/admin/free_features/{free_feature_id}:
    delete:
      tags:
        - Features
      summary: Disable free feature
      description: Disable the free feature for a specific client.
      operationId: disable-free-feature
      parameters:
        - $ref: '#/components/parameters/path_free_feature_id'
      responses:
        '204':
          description: Successful.
        '404':
          $ref: '#/components/responses/FreeFeatureNotFound'
components:
  parameters:
    path_free_feature_id:
      name: free_feature_id
      in: path
      required: true
      schema:
        allOf:
          - $ref: '#/components/schemas/body_response_paid_features_ID'
  responses:
    FreeFeatureNotFound:
      description: Free feature is not found.
  schemas:
    body_response_paid_features_ID:
      type: integer
      description: Internal feature activation ID.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````